Package com.sap.ai.sdk.grounding.model

# Class PipelineDocumentResponse

java.lang.Object
com.sap.ai.sdk.grounding.model.PipelineDocumentResponse

public class PipelineDocumentResponse extends Object
PipelineDocumentResponse

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PipelineDocumentResponse()`
  Default constructor for PipelineDocumentResponse.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PipelineDocumentResponse`
  `absoluteUrl(String absoluteUrl)`
  Set the absoluteUrl of this `PipelineDocumentResponse` instance and return the same instance.
  `static PipelineDocumentResponse`
  `create()`
  Create a new `PipelineDocumentResponse` instance.
  `PipelineDocumentResponse`
  `createdTimestamp(String createdTimestamp)`
  Set the createdTimestamp of this `PipelineDocumentResponse` instance and return the same instance.
  `PipelineDocumentResponse`
  `downloadLocation(String downloadLocation)`
  Set the downloadLocation of this `PipelineDocumentResponse` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `String`
  `getAbsoluteUrl()`
  Get absoluteUrl
  `String`
  `getCreatedTimestamp()`
  Get createdTimestamp
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `PipelineDocumentResponse`.
  `String`
  `getDownloadLocation()`
  Get downloadLocation
  `String`
  `getId()`
  Get id
  `String`
  `getLastUpdatedTimestamp()`
  Get lastUpdatedTimestamp
  `String`
  `getMetadataId()`
  Get metadataId
  `DocumentStatus`
  `getStatus()`
  Get status
  `String`
  `getTitle()`
  Get title
  `String`
  `getViewLocation()`
  Get viewLocation
  `int`
  `hashCode()`
  `PipelineDocumentResponse`
  `id(String id)`
  Set the id of this `PipelineDocumentResponse` instance and return the same instance.
  `PipelineDocumentResponse`
  `lastUpdatedTimestamp(String lastUpdatedTimestamp)`
  Set the lastUpdatedTimestamp of this `PipelineDocumentResponse` instance and return the same instance.
  `PipelineDocumentResponse`
  `metadataId(String metadataId)`
  Set the metadataId of this `PipelineDocumentResponse` instance and return the same instance.
  `void`
  `setAbsoluteUrl(String absoluteUrl)`
  Set the absoluteUrl of this `PipelineDocumentResponse` instance.
  `void`
  `setCreatedTimestamp(String createdTimestamp)`
  Set the createdTimestamp of this `PipelineDocumentResponse` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `PipelineDocumentResponse` instance.
  `void`
  `setDownloadLocation(String downloadLocation)`
  Set the downloadLocation of this `PipelineDocumentResponse` instance.
  `void`
  `setId(String id)`
  Set the id of this `PipelineDocumentResponse` instance.
  `void`
  `setLastUpdatedTimestamp(String lastUpdatedTimestamp)`
  Set the lastUpdatedTimestamp of this `PipelineDocumentResponse` instance.
  `void`
  `setMetadataId(String metadataId)`
  Set the metadataId of this `PipelineDocumentResponse` instance.
  `void`
  `setStatus(DocumentStatus status)`
  Set the status of this `PipelineDocumentResponse` instance.
  `void`
  `setTitle(String title)`
  Set the title of this `PipelineDocumentResponse` instance.
  `void`
  `setViewLocation(String viewLocation)`
  Set the viewLocation of this `PipelineDocumentResponse` instance.
  `PipelineDocumentResponse`
  `status(DocumentStatus status)`
  Set the status of this `PipelineDocumentResponse` instance and return the same instance.
  `PipelineDocumentResponse`
  `title(String title)`
  Set the title of this `PipelineDocumentResponse` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `PipelineDocumentResponse` instance including unrecognized properties.
  `String`
  `toString()`
  `PipelineDocumentResponse`
  `viewLocation(String viewLocation)`
  Set the viewLocation of this `PipelineDocumentResponse` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PipelineDocumentResponse

    protected PipelineDocumentResponse()
    Default constructor for PipelineDocumentResponse.

- ## Method Details

  - ### id

    @Nonnull public PipelineDocumentResponse id(@Nullable String id)
    Set the id of this `PipelineDocumentResponse` instance and return the same instance.
    Parameters:
      `id` - The id of this `PipelineDocumentResponse`
    Returns:
      The same instance of this `PipelineDocumentResponse` class

  - ### getId

    @Nonnull public String getId()
    Get id
    Returns:
      id The id of this `PipelineDocumentResponse` instance.

  - ### setId

    public void setId(@Nullable String id)
    Set the id of this `PipelineDocumentResponse` instance.
    Parameters:
      `id` - The id of this `PipelineDocumentResponse`

  - ### status

    @Nonnull public PipelineDocumentResponse status(@Nullable DocumentStatus status)
    Set the status of this `PipelineDocumentResponse` instance and return the same instance.
    Parameters:
      `status` - The status of this `PipelineDocumentResponse`
    Returns:
      The same instance of this `PipelineDocumentResponse` class

  - ### getStatus

    @Nullable public DocumentStatus getStatus()
    Get status
    Returns:
      status The status of this `PipelineDocumentResponse` instance.

  - ### setStatus

    public void setStatus(@Nullable DocumentStatus status)
    Set the status of this `PipelineDocumentResponse` instance.
    Parameters:
      `status` - The status of this `PipelineDocumentResponse`

  - ### viewLocation

    @Nonnull public PipelineDocumentResponse viewLocation(@Nullable String viewLocation)
    Set the viewLocation of this `PipelineDocumentResponse` instance and return the same instance.
    Parameters:
      `viewLocation` - The viewLocation of this `PipelineDocumentResponse`
    Returns:
      The same instance of this `PipelineDocumentResponse` class

  - ### getViewLocation

    @Nullable public String getViewLocation()
    Get viewLocation
    Returns:
      viewLocation The viewLocation of this `PipelineDocumentResponse` instance.

  - ### setViewLocation

    public void setViewLocation(@Nullable String viewLocation)
    Set the viewLocation of this `PipelineDocumentResponse` instance.
    Parameters:
      `viewLocation` - The viewLocation of this `PipelineDocumentResponse`

  - ### downloadLocation

    @Nonnull public PipelineDocumentResponse downloadLocation(@Nullable String downloadLocation)
    Set the downloadLocation of this `PipelineDocumentResponse` instance and return the same instance.
    Parameters:
      `downloadLocation` - The downloadLocation of this `PipelineDocumentResponse`
    Returns:
      The same instance of this `PipelineDocumentResponse` class

  - ### getDownloadLocation

    @Nullable public String getDownloadLocation()
    Get downloadLocation
    Returns:
      downloadLocation The downloadLocation of this `PipelineDocumentResponse` instance.

  - ### setDownloadLocation

    public void setDownloadLocation(@Nullable String downloadLocation)
    Set the downloadLocation of this `PipelineDocumentResponse` instance.
    Parameters:
      `downloadLocation` - The downloadLocation of this `PipelineDocumentResponse`

  - ### absoluteUrl

    @Nonnull public PipelineDocumentResponse absoluteUrl(@Nullable String absoluteUrl)
    Set the absoluteUrl of this `PipelineDocumentResponse` instance and return the same instance.
    Parameters:
      `absoluteUrl` - The absoluteUrl of this `PipelineDocumentResponse`
    Returns:
      The same instance of this `PipelineDocumentResponse` class

  - ### getAbsoluteUrl

    @Nullable public String getAbsoluteUrl()
    Get absoluteUrl
    Returns:
      absoluteUrl The absoluteUrl of this `PipelineDocumentResponse` instance.

  - ### setAbsoluteUrl

    public void setAbsoluteUrl(@Nullable String absoluteUrl)
    Set the absoluteUrl of this `PipelineDocumentResponse` instance.
    Parameters:
      `absoluteUrl` - The absoluteUrl of this `PipelineDocumentResponse`

  - ### title

    @Nonnull public PipelineDocumentResponse title(@Nullable String title)
    Set the title of this `PipelineDocumentResponse` instance and return the same instance.
    Parameters:
      `title` - The title of this `PipelineDocumentResponse`
    Returns:
      The same instance of this `PipelineDocumentResponse` class

  - ### getTitle

    @Nullable public String getTitle()
    Get title
    Returns:
      title The title of this `PipelineDocumentResponse` instance.

  - ### setTitle

    public void setTitle(@Nullable String title)
    Set the title of this `PipelineDocumentResponse` instance.
    Parameters:
      `title` - The title of this `PipelineDocumentResponse`

  - ### metadataId

    @Nonnull public PipelineDocumentResponse metadataId(@Nullable String metadataId)
    Set the metadataId of this `PipelineDocumentResponse` instance and return the same instance.
    Parameters:
      `metadataId` - The metadataId of this `PipelineDocumentResponse`
    Returns:
      The same instance of this `PipelineDocumentResponse` class

  - ### getMetadataId

    @Nullable public String getMetadataId()
    Get metadataId
    Returns:
      metadataId The metadataId of this `PipelineDocumentResponse` instance.

  - ### setMetadataId

    public void setMetadataId(@Nullable String metadataId)
    Set the metadataId of this `PipelineDocumentResponse` instance.
    Parameters:
      `metadataId` - The metadataId of this `PipelineDocumentResponse`

  - ### createdTimestamp

    @Nonnull public PipelineDocumentResponse createdTimestamp(@Nullable String createdTimestamp)
    Set the createdTimestamp of this `PipelineDocumentResponse` instance and return the same instance.
    Parameters:
      `createdTimestamp` - The createdTimestamp of this `PipelineDocumentResponse`
    Returns:
      The same instance of this `PipelineDocumentResponse` class

  - ### getCreatedTimestamp

    @Nonnull public String getCreatedTimestamp()
    Get createdTimestamp
    Returns:
      createdTimestamp The createdTimestamp of this `PipelineDocumentResponse` instance.

  - ### setCreatedTimestamp

    public void setCreatedTimestamp(@Nullable String createdTimestamp)
    Set the createdTimestamp of this `PipelineDocumentResponse` instance.
    Parameters:
      `createdTimestamp` - The createdTimestamp of this `PipelineDocumentResponse`

  - ### lastUpdatedTimestamp

    @Nonnull public PipelineDocumentResponse lastUpdatedTimestamp(@Nullable String lastUpdatedTimestamp)
    Set the lastUpdatedTimestamp of this `PipelineDocumentResponse` instance and return the same instance.
    Parameters:
      `lastUpdatedTimestamp` - The lastUpdatedTimestamp of this `PipelineDocumentResponse`
    Returns:
      The same instance of this `PipelineDocumentResponse` class

  - ### getLastUpdatedTimestamp

    @Nonnull public String getLastUpdatedTimestamp()
    Get lastUpdatedTimestamp
    Returns:
      lastUpdatedTimestamp The lastUpdatedTimestamp of this `PipelineDocumentResponse` instance.

  - ### setLastUpdatedTimestamp

    public void setLastUpdatedTimestamp(@Nullable String lastUpdatedTimestamp)
    Set the lastUpdatedTimestamp of this `PipelineDocumentResponse` instance.
    Parameters:
      `lastUpdatedTimestamp` - The lastUpdatedTimestamp of this `PipelineDocumentResponse`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `PipelineDocumentResponse`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `PipelineDocumentResponse` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `PipelineDocumentResponse` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `PipelineDocumentResponse` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static PipelineDocumentResponse create()
    Create a new `PipelineDocumentResponse` instance. No arguments are required.